Bug 771780 (CVE-2011-4619) - CVE-2011-4619 openssl: SGC restart DoS attack
Summary: CVE-2011-4619 openssl: SGC restart DoS attack
Status: CLOSED ERRATA
Alias: CVE-2011-4619
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20120104,repor...
Keywords: Security
Depends On: 773239 773240 773241 773243 773246 773330 773331 846586
Blocks: 771783
TreeView+ depends on / blocked
 
Reported: 2012-01-04 22:50 UTC by Vincent Danen
Modified: 2019-06-08 19:00 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-09-25 07:57:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0059 normal SHIPPED_LIVE Moderate: openssl security update 2012-01-25 02:03:42 UTC
Red Hat Product Errata RHSA-2012:0060 normal SHIPPED_LIVE Moderate: openssl security update 2012-01-25 02:02:38 UTC
Red Hat Product Errata RHSA-2012:0086 normal SHIPPED_LIVE Moderate: openssl security update 2012-02-01 23:55:45 UTC
Red Hat Product Errata RHSA-2012:0109 normal SHIPPED_LIVE Important: rhev-hypervisor6 security and bug fix update 2012-02-15 21:09:24 UTC
Red Hat Product Errata RHSA-2012:0168 normal SHIPPED_LIVE Important: rhev-hypervisor5 security and bug fix update 2012-02-21 10:01:32 UTC
Red Hat Product Errata RHSA-2012:1306 normal SHIPPED_LIVE Important: openssl security update 2012-09-24 20:01:56 UTC
Red Hat Product Errata RHSA-2012:1307 normal SHIPPED_LIVE Important: openssl security update 2012-09-24 20:01:46 UTC
Red Hat Product Errata RHSA-2012:1308 normal SHIPPED_LIVE Important: openssl security update 2012-09-24 20:01:36 UTC

Description Vincent Danen 2012-01-04 22:50:40 UTC
SGC Restart DoS Attack (CVE-2011-4619)
======================================

Support for handshake restarts for server gated cryptograpy (SGC) can
be used in a denial-of-service attack.

Thanks to Adam Langley <agl@chromium.org> for identifying and fixing
this issue.

Affected users should upgrade to OpenSSL 1.0.0f or 0.9.8s.

Reference: http://openssl.org/news/secadv_20120104.txt

Comment 1 Vincent Danen 2012-01-04 23:10:16 UTC
Seems to be the fix here:

http://cvs.openssl.org/chngview?cn=21940 (0.9.8)
http://cvs.openssl.org/chngview?cn=21927 (1.0.0)

Comment 2 Tomas Mraz 2012-01-05 07:46:41 UTC
This is the real commit for 0.9.8:
http://cvs.openssl.org/chngview?cn=21939

And for 1.0.0 this is also needed:
http://cvs.openssl.org/chngview?cn=21930

Comment 7 Fedora Update System 2012-01-11 06:13:25 UTC
openssl-1.0.0f-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Tomas Hoger 2012-01-11 14:53:41 UTC
Created mingw32-openssl tracking bugs for this issue

Affects: fedora-all [bug 773330]
Affects: epel-5 [bug 773331]

Comment 10 Fedora Update System 2012-01-15 20:10:02 UTC
openssl-1.0.0f-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 errata-xmlrpc 2012-01-24 21:05:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0060 https://rhn.redhat.com/errata/RHSA-2012-0060.html

Comment 16 errata-xmlrpc 2012-01-24 21:05:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0059 https://rhn.redhat.com/errata/RHSA-2012-0059.html

Comment 17 errata-xmlrpc 2012-02-01 18:57:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2012:0086 https://rhn.redhat.com/errata/RHSA-2012-0086.html

Comment 18 errata-xmlrpc 2012-02-15 16:09:54 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2012:0109 https://rhn.redhat.com/errata/RHSA-2012-0109.html

Comment 19 errata-xmlrpc 2012-02-21 05:05:53 UTC
This issue has been addressed in following products:

  RHEV-H, V2V and Agents for RHEL-5

Via RHSA-2012:0168 https://rhn.redhat.com/errata/RHSA-2012-0168.html

Comment 20 Tomas Hoger 2012-03-12 17:27:13 UTC
The fix for this issue was corrected in upstream OpenSSL versions 0.9.8u and 1.0.0h:
  http://cvs.openssl.org/chngview?cn=22131

It seems this bug could cause SGC handshakes to fail after the security patch was applied.

Comment 21 errata-xmlrpc 2012-09-24 16:02:40 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 6.0.0

Via RHSA-2012:1308 https://rhn.redhat.com/errata/RHSA-2012-1308.html

Comment 22 errata-xmlrpc 2012-09-24 16:03:40 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.1.2

Via RHSA-2012:1307 https://rhn.redhat.com/errata/RHSA-2012-1307.html

Comment 23 errata-xmlrpc 2012-09-24 16:04:49 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Server 1.0.2

Via RHSA-2012:1306 https://rhn.redhat.com/errata/RHSA-2012-1306.html


Note You need to log in before you can comment on or make changes to this bug.